Bug 1292061 - Review Request: perl-POE-Loop-Event - Bridge that allows POE to be driven by Event.pm
Review Request: perl-POE-Loop-Event - Bridge that allows POE to be driven by ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 06:20 EST by Denis Fateyev
Modified: 2016-01-03 18:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 17:55:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2015-12-16 06:20:33 EST
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-POE-Loop-Event.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-POE-Loop-Event-1.305-1.fc24.src.rpm
Description: POE::Loop::Event implements the interface documented in POE::Loop. Therefore it has no documentation of its own. Please see POE::Loop for more details.
Fedora Account System Username: dfateyev

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=12205793
Comment 1 Jitka Plesnikova 2015-12-17 05:33:39 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-POE-Loop-Event-1.305-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.1)
      1 perl(Event) >= 1.21
      1 perl(POE) >= 1.356
      1 perl(POE::Loop::PerlSignals)
      1 perl(strict)
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-POE-Loop-Event-1.305-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(POE::Loop::Event) = 1.305
      1 perl-POE-Loop-Event = 1.305-1.fc24
Binary provides are Ok.

$ rpmlint ./perl-POE-Loop-Event*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

BuildRequires are ok.

TODO: perl(POE::Test::Loops) should be part of the first group BRs, because
      it is used in Makefile.PL

Please consider fixing 'TODO' item.

The package looks good
Approved.
Comment 2 Gwyn Ciesla 2015-12-17 08:46:37 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-POE-Loop-Event
Comment 3 Fedora Update System 2015-12-18 11:01:21 EST
perl-POE-Loop-Event-1.305-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b553b7be30
Comment 4 Fedora Update System 2015-12-18 11:01:28 EST
perl-POE-Loop-Event-1.305-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e0359e5442
Comment 5 Fedora Update System 2015-12-19 15:00:23 EST
perl-POE-Loop-Event-1.305-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-POE-Loop-Event'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b553b7be30
Comment 6 Fedora Update System 2015-12-19 20:51:18 EST
perl-POE-Loop-Event-1.305-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-POE-Loop-Event'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6b4a63f294
Comment 7 Fedora Update System 2015-12-22 10:36:14 EST
perl-POE-Loop-Event-1.305-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e0359e5442
Comment 8 Fedora Update System 2015-12-28 17:55:52 EST
perl-POE-Loop-Event-1.305-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-12-30 12:50:04 EST
perl-POE-Loop-Event-1.305-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-01-03 18:25:48 EST
perl-POE-Loop-Event-1.305-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.